package com.trade.client.enterprise.customer.dto;

public class EnterpriseStatusDto {

    /**
     * 认证状态:not_certification-未认证（新用户未认证）,in_certification-认证中,passed_certification-已认证,failed_certification-failed_certification
     */
    private String certificationStatus;
    /**
     * 是否显示所有功能菜单，true-显示所有菜单，false-不显示（只显示首页信息）
     */
    private Boolean showAllFunctions;
    /**
     * 展示“出口退税申请”菜单，true-展示，false-不展示
     */
    private Boolean showTaxRebateApplyMenu;
    /**
     * 展示“申请出口退税”按钮，true-展示，false-不展示
     */
    private Boolean showApplyTaxRebateBtn;
    /**
     * 展示“出口退税”按钮，true-展示，false-不展示
     */
    private Boolean showTaxRebateBtn;

    public String getCertificationStatus() {
        return certificationStatus;
    }

    public void setCertificationStatus(String certificationStatus) {
        this.certificationStatus = certificationStatus;
    }

    public Boolean getShowAllFunctions() {
        return showAllFunctions;
    }

    public void setShowAllFunctions(Boolean showAllFunctions) {
        this.showAllFunctions = showAllFunctions;
    }

    public Boolean getShowTaxRebateApplyMenu() {
        return showTaxRebateApplyMenu;
    }

    public void setShowTaxRebateApplyMenu(Boolean showTaxRebateApplyMenu) {
        this.showTaxRebateApplyMenu = showTaxRebateApplyMenu;
    }

    public Boolean getShowApplyTaxRebateBtn() {
        return showApplyTaxRebateBtn;
    }

    public void setShowApplyTaxRebateBtn(Boolean showApplyTaxRebateBtn) {
        this.showApplyTaxRebateBtn = showApplyTaxRebateBtn;
    }

    public Boolean getShowTaxRebateBtn() {
        return showTaxRebateBtn;
    }

    public void setShowTaxRebateBtn(Boolean showTaxRebateBtn) {
        this.showTaxRebateBtn = showTaxRebateBtn;
    }
}
